package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;

import java.math.BigDecimal;

/**
 * @Description : 采购合同增值税要求
 * @Author : JiaYf
 * @Date: 2021-09-17 17:55
 */
@TableName("purch_contract_vat_info")
public class PurchContractVatInfo extends BaseEntity {

    /** 价款说明 **/
    private String priceComment;

    /** 税率 **/
    private BigDecimal taxRate;

    /** 发票类型 **/
    private String receiptType;

    @TableField(exist = false)
    private Dictionary receiptTypeDic;

    /** 开票周期 **/
    private String openCycle;

    /** 发票开户行 **/
    private String openBank;

    /** 发票账号 **/
    private String receiptAccount;

    /** 发票备注 **/
    private String receiptRemark;

    /** 采购合同基本信息表Id **/
    private Long purchContractBasicInfoId;

    public PurchContractVatInfo() {
    }

    public String getPriceComment() {
        return priceComment;
    }

    public void setPriceComment(String priceComment) {
        this.priceComment = priceComment;
    }

    public BigDecimal getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }

    public String getReceiptType() {
        return receiptType;
    }

    public void setReceiptType(String receiptType) {
        this.receiptType = receiptType;
    }

    public String getOpenCycle() {
        return openCycle;
    }

    public void setOpenCycle(String openCycle) {
        this.openCycle = openCycle;
    }

    public String getOpenBank() {
        return openBank;
    }

    public void setOpenBank(String openBank) {
        this.openBank = openBank;
    }

    public String getReceiptAccount() {
        return receiptAccount;
    }

    public void setReceiptAccount(String receiptAccount) {
        this.receiptAccount = receiptAccount;
    }

    public String getReceiptRemark() {
        return receiptRemark;
    }

    public void setReceiptRemark(String receiptRemark) {
        this.receiptRemark = receiptRemark;
    }

    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }

    public Dictionary getReceiptTypeDic() {
        return receiptTypeDic;
    }

    public void setReceiptTypeDic(Dictionary receiptTypeDic) {
        this.receiptTypeDic = receiptTypeDic;
    }
}
